Subject: Re: [PATCH v2 0/4] rm: integrate with sparse-index

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Aug 2022 12:01:11 -0700

Victoria Dye <[email-masked]> writes:

> This test failure is a result of a behavior change in the logging of 'git
> rm' in this series when removing a sparse directory. Patch 4 talks about it
> in more detail [1]; I failed to account for it in my series.

Ah, OK.  When a directory being "git rm"'ed is outside the cone(s)
of our interest, it indeed does feel like a waste to expand the
index only to report which paths in that directory are being
removed.  It would be OK for the behaviour to be different inside
and outside the cone(s).